> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service.md).

# Recurring Payments Service

The **Recurring Payments Service** allows you to create and manage scheduled payments using stored customer payment tokens.&#x20;

The Recurring Payments Engine stores customer information such as e-mail address, billing address, first name, last name, and more. The Recurring payments services API lets you create customers and tokens to process one-time payments. You can also schedule a payment plan at various frequencies to automatically process payments according to the specified schedule.

See [Authentication](https://docs.xplorpay.com/api-reference/api-core-standards) when you call the Recurring Payments Service API endpoints to process recurring payments for your customers.

The sections below describe how to manage scheduled payments and customers.

### Payment Plans

The Payment Plans API allows you to configure and manage recurring payment schedules for customers. A payment plan defines the payment amount, frequency, and associated customer with payment method.

* [Payment Plans](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service/payment-plans)

### Customer Token

The Customer Token API allows you to securely store and manage payment methods associated with a customer.

The customer token represents the secure payment method used in recurring payment plan instead of showing raw payment data.

Use this API to:

* Add a payment token for a customer
* Retrieve customer tokens
* Update customer tokens

[Customer Token](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service/customer-token)

### Customers

The Customers API allows you to create and manage customer profiles used for recurring payments.

Use this API to:

* Create a customer
* Retrieve customer details
* Update customer details
* Delete a customer
* Search customers

[Customer](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service/customer)

### Forecast

The Forecast API allows you to view upcoming scheduled payments based on configured payment plans.

* [Forecast](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service/forecast)

### Payments

The Payments API allows you to retrieve payment processed records under recurring payment plans.

* [Payment Transaction](https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service/payment-transaction)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/api/payments/recurring-payments-service.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
